libwps::Stream Class Reference

`#include <WPSOLEStream.h>`

## Public Member Functions

| Stream (Storage *storage, const std::string &name)
| Creates a new stream. More...
| ~Stream ()
| Destroys the stream. More...
unsigned long | size ()
| Returns the stream size. More...
unsigned long | read (unsigned char *data, unsigned long maxlen)
| Reads a block of data. More...

## Private Member Functions

| Stream (const Stream &)
Stream & | operator= (const Stream &)

## Private Attributes

StreamIO * | io

## Friends

class | Storage
class | StorageIO

## Constructor & Destructor Documentation

libwps::Stream::Stream | ( | libwps::Storage * | storage,
|  | const std::string & | name
| ) |  |

Creates a new stream.

libwps::Stream::~Stream | ( |  | ) |

Destroys the stream.

libwps::Stream::Stream | ( | const Stream & |  | ) |

private

## Member Function Documentation

Stream& libwps::Stream::operator= | ( | const Stream & |  | ) |

private

unsigned long libwps::Stream::read | ( | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |

Reads a block of data.

Referenced by libwps::Storage::getDocumentOLEStream().

unsigned long libwps::Stream::size | ( |  | ) |

Returns the stream size.

Referenced by libwps::Storage::getDocumentOLEStream().

## Friends And Related Function Documentation

friend class Storage

friend

friend class StorageIO

friend

## Member Data Documentation

StreamIO* libwps::Stream::io

private

The documentation for this class was generated from the following files:

- WPSOLEStream.h
- WPSOLEStream.cpp